| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::PathBuilder::RoundingRadii Struct Reference

`#include <path_builder.h>`

## Public Member Functions
| RoundingRadii ()=default
| RoundingRadii (Scalar p_top_left, Scalar p_bottom_left, Scalar p_top_right, Scalar p_bottom_right)
| RoundingRadii (Scalar radius)
| RoundingRadii (Point radii)
| RoundingRadii (Size radii)
bool | AreAllZero () const

## Public Attributes
Point | top_left
Point | bottom_left
Point | top_right
Point | bottom_right

## Detailed Description

Definition at line 105 of file path_builder.h.

## Constructor & Destructor Documentation

## ◆ RoundingRadii() [1/5]

impeller::PathBuilder::RoundingRadii::RoundingRadii | ( |  | ) |
| default

## ◆ RoundingRadii() [2/5]

impeller::PathBuilder::RoundingRadii::RoundingRadii | ( | Scalar | p_top_left,
|  | Scalar | p_bottom_left,
|  | Scalar | p_top_right,
|  | Scalar | p_bottom_right
| ) |  |
| inline

Definition at line 113 of file path_builder.h.

117 : top_left(p_top_left, p_top_left),
118 bottom_left(p_bottom_left, p_bottom_left),
119 top_right(p_top_right, p_top_right),
120 bottom_right(p_bottom_right, p_bottom_right) {}

## ◆ RoundingRadii() [3/5]

impeller::PathBuilder::RoundingRadii::RoundingRadii | ( | Scalar | radius | ) |
| inlineexplicit

Definition at line 122 of file path_builder.h.

123 : top_left(radius, radius),
124 bottom_left(radius, radius),
125 top_right(radius, radius),
126 bottom_right(radius, radius) {}

## ◆ RoundingRadii() [4/5]

impeller::PathBuilder::RoundingRadii::RoundingRadii | ( | Point | radii | ) |
| inlineexplicit

Definition at line 128 of file path_builder.h.

129 : top_left(radii),
130 bottom_left(radii),
131 top_right(radii),
132 bottom_right(radii) {}

## ◆ RoundingRadii() [5/5]

impeller::PathBuilder::RoundingRadii::RoundingRadii | ( | Size | radii | ) |
| inlineexplicit

Definition at line 134 of file path_builder.h.

135 : top_left(radii),
136 bottom_left(radii),
137 top_right(radii),
138 bottom_right(radii) {}

## Member Function Documentation

## ◆ AreAllZero()

bool impeller::PathBuilder::RoundingRadii::AreAllZero | ( |  | ) | const
| inline

Definition at line 140 of file path_builder.h.

140 {
141 return top_left.IsZero() && //
142 bottom_left.IsZero() && //
143 top_right.IsZero() && //
144 bottom_right.IsZero();
145 }

References bottom_left, bottom_right, impeller::TPoint< T >::IsZero(), top_left, and top_right.

Referenced by impeller::PathBuilder::AddRoundedRect().

## Member Data Documentation

## ◆ bottom_left

Point impeller::PathBuilder::RoundingRadii::bottom_left

Definition at line 107 of file path_builder.h.

Referenced by impeller::PathBuilder::AddRoundedRect(), AreAllZero(), impeller::skia_conversions::ToRoundingRadii(), and impeller::interop::ToSkiaType().

## ◆ bottom_right

Point impeller::PathBuilder::RoundingRadii::bottom_right

Definition at line 109 of file path_builder.h.

Referenced by impeller::PathBuilder::AddRoundedRect(), AreAllZero(), impeller::skia_conversions::ToRoundingRadii(), and impeller::interop::ToSkiaType().

## ◆ top_left

Point impeller::PathBuilder::RoundingRadii::top_left

Definition at line 106 of file path_builder.h.

Referenced by impeller::PathBuilder::AddRoundedRect(), AreAllZero(), impeller::interop::ToImpellerType(), impeller::skia_conversions::ToRoundingRadii(), and impeller::interop::ToSkiaType().

## ◆ top_right

Point impeller::PathBuilder::RoundingRadii::top_right

Definition at line 108 of file path_builder.h.

Referenced by impeller::PathBuilder::AddRoundedRect(), AreAllZero(), impeller::skia_conversions::ToRoundingRadii(), and impeller::interop::ToSkiaType().

The documentation for this struct was generated from the following file:

- impeller/geometry/path_builder.h

impeller::PathBuilder::RoundingRadii::bottom_right
Point bottom_right
Definition: path_builder.h:109
impeller::TPoint::IsZero
constexpr bool IsZero() const
Definition: point.h:240
impeller::PathBuilder::RoundingRadii::top_left
Point top_left
Definition: path_builder.h:106
impeller::PathBuilder::RoundingRadii::top_right
Point top_right
Definition: path_builder.h:108
impeller::PathBuilder::RoundingRadii::bottom_left
Point bottom_left
Definition: path_builder.h:107